From 46dec53381a5023fed918981975dda56b6e90d33 Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Thu, 4 Mar 2021 12:19:50 +0000
Subject: [PATCH 2/7] gnu: aws-checksums: Build as shared library.

* gnu/packages/c.scm (aws-checksums)[arguments]: Build as shared library.
---
 gnu/packages/c.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 75fa6460be..1e338bd7bd 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -581,6 +581,9 @@ portability.")
                 "1pjs31x3cq9wyw511y00kksz660m8im9zxk30hid8iwlilcbnyvx"))
               (patches (search-patches "aws-checksums-cmake-prefix.patch"))))
     (build-system cmake-build-system)
+    (arguments
+     '(#:configure-flags
+       '("-DBUILD_SHARED_LIBS=ON")))
     (inputs
      `(("aws-c-common" ,aws-c-common)))
     (synopsis "Amazon Web Services checksum library")
-- 
2.30.2

